:PROPERTIES:
:ID:       79c3a4fe-6898-4c73-b2d9-b00232988e56
:END:
#+title: 2024-04-13

Yesterday I met Rasha Azab and Heba Ghanaam's and Saiid Martinez's. The last I have seen her was in 2018 in Cairo, even though I do not remember that time. Time has mellowed her, as much as can be with Rasha. We caught up a little and discussed life abroad, possibilities for her in the US or Italy, and some news of a few people: Malek, Salma Said and Nazly Hussein. Good to know that life goes on.

The highlight of the day was a glorious two and a half hour walk from Wisconsin Place to Press House. Spring at its height, sun at its best time of the day. The first part of the walk I listened to Nassim Taleb's Black Swan, and the second half to Cuban songs then to Argentine Tango. As Emma Stone would say in her recently Oscar winning performance, good "Furious Jumping" with Nancy. I need to get my VO2Max up. Time to see a doctor regularly because I finally can.
